using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public abstract class MonoSingleton<T> : MonoBehaviour where T : Component
{
    static private T _instance;

    virtual protected void Awake()
    {
        _instance = this as T;
    }

    static public T instance
    {
        get
        {
            return _instance;
        }
    }
}
